## ros-rolling-moveit-resources-prbt-moveit-config 2.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(moveit_resources_prbt_moveit_config)

find_package(ament_cmake REQUIRED)

install(DIRECTORY launch DESTINATION share/${PROJECT_NAME}
  PATTERN "setup_assistant.launch" EXCLUDE)
install(DIRECTORY config DESTINATION share/${PROJECT_NAME})

ament_package()

=== debian/changelog ===
ros-rolling-moveit-resources-prbt-moveit-config (2.4.0-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 20 Jan 2022 07:00:00 -0000

ros-rolling-moveit-resources-prbt-moveit-config (2.3.2-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 29 Dec 2021 07:00:00 -0000

ros-rolling-moveit-resources-prbt-moveit-config (2.3.1-1focal) focal; urgency=high

  * Bump new packages to 2.3.0
  * Add PRBT test dependencies for PILZ planner (#909 <https://github.com/ros-planning/moveit2/issues/909>)
    * Adding PRBT config
    * Port prbt packages to ROS 2
    * Move PRBT into test_configs directory
    * Fix pre-commit for pilz test_config
    * Revert "Docker - Temporarily move moveit_resources under target workspace due to #885 <https://github.com/ros-planning/moveit2/issues/885> (#915 <https://github.com/ros-planning/moveit2/issues/915>)"
    * Reset repos file entry for moveit_resources
    * prbt_support: drop all test code
    Co-authored-by: Christian Henkel <mailto:post@henkelchristian.de>
    Co-authored-by: Michael Görner <mailto:me@v4hn.de>
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Contributors: Henning Kayser, Tyler Weaver
  * initial commit from upstream PilzDE/prbt_movit_config version 0.5.18

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 23 Dec 2021 07:00:00 -0000

=== debian/control ===
Source: ros-rolling-moveit-resources-prbt-moveit-config
Section: misc
Priority: optional
Maintainer: Alexander Gutenkunst <a.gutenkunst@pilz.de>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-rolling-moveit-resources-prbt-moveit-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-joint-state-publisher, ros-rolling-moveit-resources-prbt-ikfast-manipulator-plugin, ros-rolling-moveit-resources-prbt-support, ros-rolling-moveit-ros-move-group, ros-rolling-robot-state-publisher, ros-rolling-rviz2, ros-rolling-xacro, ros-rolling-ros-workspace
Description: MoveIt Resources for testing: Pilz PRBT 6 A project-internal configuration for testing in MoveIt.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-moveit-resources-prbt-moveit-config//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-moveit-resources-prbt-moveit-config 2.8.0

=== debian/changelog ===
ros-rolling-moveit-resources-prbt-moveit-config (2.8.0-2jammy) jammy; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sat, 09 Sep 2023 22:00:00 -0000

ros-rolling-moveit-resources-prbt-moveit-config (2.7.4-2jammy) jammy; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 17 May 2023 22:00:00 -0000

ros-rolling-moveit-resources-prbt-moveit-config (2.7.3-2jammy) jammy; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Shobuj Paul

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 23 Apr 2023 22:00:00 -0000

ros-rolling-moveit-resources-prbt-moveit-config (2.7.2-2jammy) jammy; urgency=high

  * Update pre-commit (#2094 <https://github.com/ros-planning/moveit2/issues/2094>)
  * Contributors: Shobuj Paul

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 17 Apr 2023 22:00:00 -0000

ros-rolling-moveit-resources-prbt-moveit-config (2.7.1-2jammy) jammy; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 22 Mar 2023 23:00:00 -0000

ros-rolling-moveit-resources-prbt-moveit-config (2.7.0-2jammy) jammy; urgency=high

  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Contributors: Christian Henkel

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sat, 28 Jan 2023 23:00:00 -0000

ros-rolling-moveit-resources-prbt-moveit-config (2.6.0-2jammy) jammy; urgency=high

  * Use generate_parameter_library to load kinematics parameters (#1568 <https://github.com/ros-planning/moveit2/issues/1568>)
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>)
  * Contributors: Abishalini Sivaraman, Sebastian Jahr

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 09 Nov 2022 23:00:00 -0000

ros-rolling-moveit-resources-prbt-moveit-config (2.5.3-2jammy) jammy; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 27 Jul 2022 22:00:00 -0000

ros-rolling-moveit-resources-prbt-moveit-config (2.5.2-2jammy) jammy; urgency=high

  * Rename cartesian_limits.yaml (#1422 <https://github.com/ros-planning/moveit2/issues/1422>)
    Co-authored-by: Tyler Weaver <mailto:maybe@tylerjw.dev>
  * Delete the fake_controller_manager from ROS1 (#1413 <https://github.com/ros-planning/moveit2/issues/1413>)
  * Merge remote-tracking branch 'origin/main' into feature/msa
  * Launch file cleanup (#1380 <https://github.com/ros-planning/moveit2/issues/1380>)
  * Contributors: AndyZe, Vatan Aksoy Tezer

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 17 Jul 2022 22:00:00 -0000

ros-rolling-moveit-resources-prbt-moveit-config (2.5.1-2jammy) jammy; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 30 May 2022 22:00:00 -0000

ros-rolling-moveit-resources-prbt-moveit-config (2.5.0-2jammy) jammy; urgency=high

  * Enable rolling / jammy CI (again) (#1134 <https://github.com/ros-planning/moveit2/issues/1134>)
    * Use ros2_control binaries
    * Use output screen instead of explicitly stating stderr
  * Merge https://github.com/ros-planning/moveit/commit/25a63b920adf46f0a747aad92ada70d8afedb3ec
  * Contributors: Abishalini, Vatan Aksoy Tezer

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 25 May 2022 22:00:00 -0000

ros-rolling-moveit-resources-prbt-moveit-config (2.4.0-2jammy) jammy; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 19 Jan 2022 23:00:00 -0000

ros-rolling-moveit-resources-prbt-moveit-config (2.3.2-2jammy) jammy; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 28 Dec 2021 23:00:00 -0000

ros-rolling-moveit-resources-prbt-moveit-config (2.3.1-2jammy) jammy; urgency=high

  * Bump new packages to 2.3.0
  * Add PRBT test dependencies for PILZ planner (#909 <https://github.com/ros-planning/moveit2/issues/909>)
    * Adding PRBT config
    * Port prbt packages to ROS 2
    * Move PRBT into test_configs directory
    * Fix pre-commit for pilz test_config
    * Revert "Docker - Temporarily move moveit_resources under target workspace due to #885 <https://github.com/ros-planning/moveit2/issues/885> (#915 <https://github.com/ros-planning/moveit2/issues/915>)"
    * Reset repos file entry for moveit_resources
    * prbt_support: drop all test code
    Co-authored-by: Christian Henkel <mailto:post@henkelchristian.de>
    Co-authored-by: Michael Görner <mailto:me@v4hn.de>
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Contributors: Henning Kayser, Tyler Weaver
  * initial commit from upstream PilzDE/prbt_movit_config version 0.5.18

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 22 Dec 2021 23:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
